Subject: [stir] WGLC: draft-ietf-stir-cert-delegation-03

From: Russ Housley <[email-masked]>
Date: Tue, 4 Aug 2020 16:19:32 -0400

I reviewed draft-ietf-stir-cert-delegation-03 to see whether my comments against the previous version were resolved.  They were.

While doing the review, I discovered two very minor editorial nits (see below).  This nits should not block progress to the IESG, but it should be fixed with any other comments that come up during IETF Last Call.

Nit in Section 5.1, para 1.  The last sentence says:

   Authentication services SHOULD NOT use a
   delegate certificate without validating that its scope of authority
   is encompassed by that of its parent certificate, and if that
   certificate has a own parent, the entire certification path SHOULD be
   validated.

It looks like you were interrupted while editing this sentence.  Please drop "own".

In addition, there is an outdated reference; draft-ietf-acme-star has been published as RFC 8739.

Russ

---

From: "Peterson, Jon" <[email-masked]>
Date: Wed, 5 Aug 2020 15:56:07 +0000

Thanks Russ, we'll fix those on the way through IETF LC.

Jon Peterson
Neustar, Inc.

On 8/4/20, 1:19 PM, "stir on behalf of Russ Housley" <[email-masked] on behalf of [email-masked]> wrote:

    

    
    
    Russ
    
    _______________________________________________
    stir mailing list
    [email-masked]
    https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/stir__;!!N14HnBHF!ozUFQyL-T3fi26Ha-fUn4wU9g1rAR0yO2RwdHHv_wCjE5pvkF377IlNh4qY$

---

From: Russ Housley <[email-masked]>
Date: Wed, 5 Aug 2020 14:23:38 -0400

The shepherd writeup is here:

	https://datatracker.ietf.org/doc/draft-ietf-stir-cert-delegation/shepherdwriteup/

Please review and raise any concerns on the mail list.

I will no pass this document to the IESG.  I am sure that any issues with the writeup will get sorted long before this dcument reached IETF Last Call.

Russ